

.slider-diapo {
    display: flex;
    width: 100%;
    transition: all .25s ease-in;
    transform: translateX(0);

    .slick-track, .slick-slide{
        @media only screen and (max-width: 992px) {
            width: 500px;
        }
    }

    .box {
        height: 100%;
        width: 100%;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
        overflow: hidden;
        position: relative;
        
        .bg {
            padding: 2rem;
            background-color: #294c86;
            width: 55%;
            color: #fff;
            transform: skewX(7deg);
            position: absolute;
            height: 100%;
            left: -10%;
            padding-left: 20rem;    
            transform-origin: 0 100%;     
            
            @media only screen and (max-width: 992px) {
                left: 0;
                height: 100px;
                width: 100px;
            }

            &::before {
                content: "";
                width: 100%;
                height: 100%;
                position: absolute;
                left: 0;
                top: 0;
                background-color: inherit;
                pointer-events: none;
                transform: skewX(10deg);

            }
        }

        .details {
            padding: 5rem;
            z-index: 100;
            grid-column: 1 / span 1;
            grid-row: 1 / -1;
            
            h1 {
                color: #fff;
                font-size: 2rem;
                font-weight: 500;
                margin-bottom: .5rem;

                @media only screen and (max-width: 992px) {
                    font-size: 1.2rem;
                }
            }

            p {
                display: inline-block;
                font-size: 1.2rem;
                color: #fff;
                margin-bottom: 2rem;
                margin-right: 5rem;

                @media only screen and (max-width: 992px) {
                    display: none;
                }

            }

            .button {
                margin-top: 10px;
                padding: 1rem 3rem;
                color: #294c86;
                outline: none;
                border: none;
                cursor: pointer;
                transition: all .3s ease;
                background-color: #fff;

                &:hover {opacity: .8;}
    
                &:focus {
                    outline: none;
                    border: none;
                }

                @media only screen and (max-width: 992px) {
                    padding: 2px;
                }
                
                @media only screen and (max-width: 450px) {
                    display: none;
                }

            }

            @media only screen and (max-width: 992px) {
                padding: 2rem;
            }
        }
    }

    .illustration {
        height: 300px;
        width: 300px;
        border-radius: 10px;
        grid-column: 2 / -1;
        grid-row: 1 / -1;
        justify-self: center;
        text-align:center;
        transform: skewX(7deg);
        grid-template-columns: repeat(2, 1fr);
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;"

        &::before {
            background-color: inherit;
            pointer-events: none;
            transform: skewX(10deg);

        }

        @media only screen and (max-width: 992px) {
            height: 100px;
            width: 100px;
            margin-left: 30px;
        }
    }
}
